bkcrack: include/bkcrack/password.hpp File Reference

bkcrack 1.8.1 Crack legacy zip encryption with Biham and Kocher's known plaintext attack.

password.hpp File Reference
`#include <bkcrack/Keys.hpp>`
`#include <bkcrack/Progress.hpp>`
Include dependency graph for password.hpp:

Go to the source code of this file.

## Functions
auto | recoverPassword (const Keys &keys, const std::vector< std::uint8_t > &charset, std::size_t minLength, std::size_t maxLength, std::string &start, int jobs, bool exhaustive, Progress &progress) -> std::vector< std::string >
| Try to recover the password associated with the given keys.
auto | recoverPassword (const Keys &keys, const std::vector< std::vector< std::uint8_t > > &mask, std::string &start, int jobs, bool exhaustive, Progress &progress) -> std::vector< std::string >
| Try to recover the password associated with the given keys.

## Function Documentation

## ◆ recoverPassword() [1/2]

auto recoverPassword | ( | const Keys & | keys,
|  | const std::vector< std::uint8_t > & | charset,
|  | std::size_t | minLength,
|  | std::size_t | maxLength,
|  | std::string & | start,
|  | int | jobs,
|  | bool | exhaustive,
|  | Progress & | progress ) -> std::vector< std::string >

Try to recover the password associated with the given keys.

Parameters

  keys | Internal keys for which a password is wanted
  charset | The set of characters with which to constitute password candidates
  minLength | The smallest password length to try
  maxLength | The greatest password length to try
  start | Starting point in the password search space. Also used as an output parameter to tell where to restart.
  jobs | Number of threads to use
  exhaustive | True to try and find all valid passwords, false to stop searching after the first one is found
  progress | Object to report progress

Returns
  A vector of passwords associated with the given keys. A vector is needed instead of a single string because there can be collisions (i.e. several passwords for the same keys).

## ◆ recoverPassword() [2/2]

auto recoverPassword | ( | const Keys & | keys,
|  | const std::vector< std::vector< std::uint8_t > > & | mask,
|  | std::string & | start,
|  | int | jobs,
|  | bool | exhaustive,
|  | Progress & | progress ) -> std::vector< std::string >

Try to recover the password associated with the given keys.

Parameters

  keys | Internal keys for which a password is wanted
  mask | A sequence of character sets, each corresponding to the successive characters of password candidates
  start | Starting point in the password search space. Also used as an output parameter to tell where to restart.
  jobs | Number of threads to use
  exhaustive | True to try and find all valid passwords, false to stop searching after the first one is found
  progress | Object to report progress

Returns
  A vector of passwords associated with the given keys. A vector is needed instead of a single string because there can be collisions (i.e. several passwords for the same keys).